Bug 882743 - libomxil-bellagio error
Summary: libomxil-bellagio error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libomxil-bellagio
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 879881
TreeView+ depends on / blocked
 
Reported: 2012-12-03 01:26 UTC by ryanl
Modified: 2013-01-12 00:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-02 04:59:45 UTC
Type: Bug


Attachments (Terms of Use)
Revised existing patch fixing error in if statement prevent components from being registered. (896 bytes, application/octet-stream)
2012-12-03 01:26 UTC, ryanl
no flags Details
Revised patch. (1.55 KB, patch)
2012-12-09 00:28 UTC, ryanl
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 784145 0 medium CLOSED Review Request: libomxil-bellagio - OpenMAX Integration Layer 2021-02-22 00:41:40 UTC

Description ryanl 2012-12-03 01:26:24 UTC
Created attachment 656322 [details]
Revised existing patch fixing error in if statement prevent components from being registered.

Description of problem: Unable to register components VIA 'omxregister-bellagio' due to patch error.


Version-Release number of selected component (if applicable): 0.9.3


How reproducible: Install package and attempt to register components.


Steps to Reproduce:
1. yum install libomxil-bellagio 
2. omxregister-bellagio -v
  
Actual results:
 Scanning directory /usr/lib64/bellagio/

 Scanning library /usr/lib64/bellagio/libomxclocksrc.so
OMX-Failed to write 0 bytes to fd 3

 Scanning library /usr/lib64/bellagio/libomxaudio_effects.so
OMX-Failed to write 0 bytes to fd 3

 Scanning library /usr/lib64/bellagio/libomxvideosched.so
OMX-Failed to write 0 bytes to fd 3



Expected results:
 Scanning directory /usr/lib64/bellagio/

 Scanning library /usr/lib64/bellagio/libomxclocksrc.so
Component OMX.st.clocksrc registered with 0 quality levels
  Specific role OMX.st.clocksrc registered

 Scanning library /usr/lib64/bellagio/libomxaudio_effects.so
Component OMX.st.volume.component registered with 2 quality levels
  Specific role OMX.st.volume.component registered
Component OMX.st.audio.mixer registered with 1 quality levels
  Specific role OMX.st.audio.mixer registered

 Scanning library /usr/lib64/bellagio/libomxvideosched.so
Component OMX.st.video.scheduler registered with 2 quality levels
  Specific role OMX.st.video.scheduler registered

 4 OpenMAX IL ST static components in 3 libraries succesfully scanned

Comment 1 ryanl 2012-12-09 00:28:40 UTC
Created attachment 660165 [details]
Revised patch.

Patch was being applied in reverse. It now updates the original. Also fixed the underlying issue.

Comment 2 Nicolas Chauvet (kwizart) 2012-12-09 10:48:56 UTC
This patch doesn't apply. Can you make a git format-patch against the fedpkg clone libomxil-bellagio

Comment 3 Fedora Update System 2012-12-10 21:44:05 UTC
libomxil-bellagio-0.9.3-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libomxil-bellagio-0.9.3-5.fc17

Comment 4 Fedora Update System 2012-12-10 21:44:35 UTC
libomxil-bellagio-0.9.3-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libomxil-bellagio-0.9.3-5.fc18

Comment 5 Fedora Update System 2012-12-11 01:25:27 UTC
Package libomxil-bellagio-0.9.3-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libomxil-bellagio-0.9.3-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20093/libomxil-bellagio-0.9.3-5.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-12-17 20:14:08 UTC
libomxil-bellagio-0.9.3-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libomxil-bellagio-0.9.3-6.fc18

Comment 7 Fedora Update System 2012-12-17 20:15:17 UTC
libomxil-bellagio-0.9.3-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libomxil-bellagio-0.9.3-6.fc17

Comment 8 Fedora Update System 2013-01-02 04:59:47 UTC
libomxil-bellagio-0.9.3-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-01-12 00:32:10 UTC
libomxil-bellagio-0.9.3-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.